CUDA Driver API (PDF) - v10.1.168 (older) - Last updated April 24, 2019 - Send Feedback

## 6.18. CUDA_RESOURCE_VIEW_DESC Struct Reference

## [Data types used by CUDA driver]

Resource view descriptor

### Public Variables

size_t depth
unsigned int firstLayer
unsigned int firstMipmapLevel
CUresourceViewFormat format
size_t height
unsigned int lastLayer
unsigned int lastMipmapLevel
size_t width

### Variables

size_t CUDA_RESOURCE_VIEW_DESC::depth [inherited]

  Depth of the resource view

unsigned int CUDA_RESOURCE_VIEW_DESC::firstLayer [inherited]

  First layer index

unsigned int CUDA_RESOURCE_VIEW_DESC::firstMipmapLevel [inherited]

  First defined mipmap level

CUresourceViewFormat CUDA_RESOURCE_VIEW_DESC::format [inherited]

  Resource view format

size_t CUDA_RESOURCE_VIEW_DESC::height [inherited]

  Height of the resource view

unsigned int CUDA_RESOURCE_VIEW_DESC::lastLayer [inherited]

  Last layer index

unsigned int CUDA_RESOURCE_VIEW_DESC::lastMipmapLevel [inherited]

  Last defined mipmap level

size_t CUDA_RESOURCE_VIEW_DESC::width [inherited]

  Width of the resource view